[HP Probook 6570b] Unable to control brightness on 12.04.5

Bug #1359010 reported by Po-Hsu Lin on 2014-08-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Medium
AceLan Kao
linux-lts-trusty (Ubuntu)
Medium
AceLan Kao

Bug Description

CID: 201306-13745 HP Probook 6570b

This system was certified with 12.04.2 [1], but the brightness does not work on 12.04.5
The brightness level indicator would change with hotkey events, but the brightness itself does not.

Debugging information:
ubuntu@201306-13745:~$ ls /sys/class/backlight
acpi_video0 intel_backlight

ubuntu@201306-13745:~$ grep -r . /proc/acpi
/proc/acpi/battery/BAT1/alarm:present: no
/proc/acpi/battery/BAT1/state:present: no
/proc/acpi/battery/BAT1/info:present: no
/proc/acpi/battery/BAT0/alarm:alarm: unsupported
/proc/acpi/battery/BAT0/state:present: yes
/proc/acpi/battery/BAT0/state:capacity state: ok
/proc/acpi/battery/BAT0/state:charging state: charged
/proc/acpi/battery/BAT0/state:present rate: 0 mA
/proc/acpi/battery/BAT0/state:remaining capacity: 4907 mAh
/proc/acpi/battery/BAT0/state:present voltage: 12435 mV
/proc/acpi/battery/BAT0/info:present: yes
/proc/acpi/battery/BAT0/info:design capacity: 4932 mAh
/proc/acpi/battery/BAT0/info:last full capacity: 4932 mAh
/proc/acpi/battery/BAT0/info:battery technology: rechargeable
/proc/acpi/battery/BAT0/info:design voltage: 10800 mV
/proc/acpi/battery/BAT0/info:design capacity warning: 200 mAh
/proc/acpi/battery/BAT0/info:design capacity low: 100 mAh
/proc/acpi/battery/BAT0/info:cycle count: 0
/proc/acpi/battery/BAT0/info:capacity granularity 1: 100 mAh
/proc/acpi/battery/BAT0/info:capacity granularity 2: 100 mAh
/proc/acpi/battery/BAT0/info:model number: Primary
/proc/acpi/battery/BAT0/info:serial number: 59312 2013/03/07
/proc/acpi/battery/BAT0/info:battery type: LIon
/proc/acpi/battery/BAT0/info:OEM info: Hewlett-Packard
/proc/acpi/button/lid/LID/state:state: open
/proc/acpi/wakeup:Device S-state Status Sysfs node
/proc/acpi/wakeup:LANC S5 *enabled pci:0000:00:19.0
/proc/acpi/wakeup:EHC1 S0 *enabled pci:0000:00:1d.0
/proc/acpi/wakeup:EHC2 S0 *enabled pci:0000:00:1a.0
/proc/acpi/wakeup:XHC S0 *enabled pci:0000:00:14.0
/proc/acpi/wakeup:PCIB S5 *disabled
/proc/acpi/wakeup:RP02 S4 *disabled pci:0000:00:1c.1
/proc/acpi/wakeup:ECF0 S4 *disabled
/proc/acpi/wakeup:RP03 S4 *disabled pci:0000:00:1c.2
/proc/acpi/wakeup:RP04 S5 *disabled pci:0000:00:1c.3
/proc/acpi/wakeup:WNIC S5 *disabled pci:0000:24:00.0

ubuntu@201306-13745:~$ dmesg | grep 'ACPI: Video'
[ 9.589102] ACPI: Video Device [GFX0] (multi-head: yes rom: no post: no)
ubuntu@201306-13745:~$

[1] http://www.ubuntu.com/certification/hardware/201306-13745/

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.13.0-34-generic 3.13.0-34.60~precise1
ProcVersionSignature: Ubuntu 3.13.0-34.60~precise1-generic 3.13.11.4
Uname: Linux 3.13.0-34-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-34-generic.
ApportVersion: 2.0.1-0ubuntu17.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1919 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xd4730000 irq 49'
   Mixer name : 'Intel PantherPoint HDMI'
   Components : 'HDA:111d7605,103c17b7,00100107 HDA:80862806,80860101,00100000'
   Controls : 53
   Simple ctrls : 18
Date: Tue Aug 19 22:32:50 2014
HibernationDevice: RESUME=UUID=40b3ec1e-30dd-4f84-97d0-50cc592094bd
InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1)
MachineType: Hewlett-Packard HP ProBook 6570b
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-34-generic root=UUID=3a68144b-91cb-46a6-9be4-cec8c83f33d7 ro quiet splash initcall_debug vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-34-generic N/A
 linux-backports-modules-3.13.0-34-generic N/A
 linux-firmware 1.79.16
SourcePackage: linux-lts-trusty
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/31/2013
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68ICE Ver. F.40
dmi.board.name: 17AB
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 42.32
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68ICEVer.F.40:bd01/31/2013:svnHewlett-Packard:pnHPProBook6570b:pvrA1029D1102:rvnHewlett-Packard:rn17AB:rvrKBCVersion42.32:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP ProBook 6570b
dmi.product.version: A1029D1102
dmi.sys.vendor: Hewlett-Packard

Po-Hsu Lin (cypressyew) wrote :
Po-Hsu Lin (cypressyew) wrote :

Kernel parameter "video.use_native_backlight=1", "acpi_backlight=vendor" could make it work

Changed in hwe-next:
assignee: nobody → AceLan Kao (acelankao)
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu):
assignee: nobody → AceLan Kao (acelankao)
Changed in hwe-next:
status: New → Triaged
AceLan Kao (acelankao) on 2014-12-11
Changed in linux-lts-trusty (Ubuntu):
status: New → In Progress
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
tags: added: verification-needed-utopic
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-utopic' to 'verification-done-utopic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Po-Hsu Lin (cypressyew) wrote :

Verified with Trusty -proposed on 201306-13745, brightness control works as expected.

tags: added: verification-done-trusty
removed: verification-needed-trusty
Po-Hsu Lin (cypressyew) wrote :

Verified with Utopic stock image on 201306-13745, it works (as expected, since the brightness control is different on 3.16 kernel), I think we can safely drop this patch for Utopic.

Changed in linux-lts-trusty (Ubuntu):
status: In Progress → Fix Committed
Brad Figg (brad-figg) on 2015-01-09
tags: added: verification-done-utopic
removed: verification-needed-utopic
Launchpad Janitor (janitor) wrote :
Download full text (10.8 KiB)

This bug was fixed in the package linux-lts-trusty - 3.13.0-44.73~precise1

---------------
linux-lts-trusty (3.13.0-44.73~precise1) precise; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1402952

  [ AceLan Kao ]

  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010

  [ Andy Whitcroft ]

  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS

  [ Upstream Kernel Changes ]

  * iwlwifi: mvm: fix merge damage
    - LP: #1393317
  * iwlwifi: remove IWL_UCODE_TLV_FLAGS_SCHED_SCAN flag
    - LP: #1393317
  * iwlwifi: mvm: disable scheduled scan to prevent firmware crash
    - LP: #1393317
  * iwlwifi: mvm: enable scheduled scan on newest firmware
    - LP: #1393317
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * phylib: introduce PHY_INTERFACE_MODE_XGMII for 10G PHY
    - LP: #1381084
  * of: make of_get_phy_mode parse 'phy-connection-type'
    - LP: #1381084
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * drivers:scsi:storvsc: Fix a bug in handling ring buffer failures that
    may result in I/O freeze
    - LP: #1400289
  * arm64: optimized copy_to_user and copy_from_user assembly code
    - LP: #1400349
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
  * drm/radeon: initialize sadb to NULL in the audio code
    - LP: #1402714
  * powerpc/vphn: NUMA node code expects big-endian
    - LP: #1401150
  * ALSA: usb-audio: Fix device_del() sysfs warnings at disconnect
    - LP: #1402853
  * ALSA: hda - Add mute LED pin quirk for HP 15 touchsmart
    - LP: #1334950, #1402853
  * rcu: Make callers awaken grace-period kthread
    - LP: #1402853
  * rcu: Use rcu_gp_kthread_wake() to wake up grace period kthreads
    - LP: #1402853
  * net: sctp: fix NULL pointer dereference in af->from_addr_param on
    malformed packet
    - LP: #1402853
  * KVM: x86: Don't report guest userspace emulation error to userspace
    - LP: #1402853
  * [media] ttusb-dec: buffer overflow in ioctl
    - LP: #1402853
  * arm64: __clear_user: handle exceptions on strb
    - LP: #1402853
  * ARM: pxa: fix hang on startup with DEBUG_LL
    - LP: #1402853
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1402853
  * acer-wmi: Add Aspire 5741 to video_vendor_dmi_table
    - LP: #1402853
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1402853
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1402853
  * [media] ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1402853
  * powerpc: do_notify_resume can be called with bad thread_info flags
    argument...

Changed in linux-lts-trusty (Ubuntu):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers